/********************************** (C) COPYRIGHT *******************************
 * File Name          : main.c
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2021/06/06
 * Description        : Main program body.
 * Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
 * SPDX-License-Identifier: Apache-2.0
 *******************************************************************************/

/*
 *@Note
 ڴӡ̣
 USART1_Tx(PA9)
 ʾʹ USART1(PA9) ӡԿ

*/

#include "debug.h"

/* Global typedef */

/* Global define */

/* Global Variable */


void GPIO_Toggle_INIT( void )
{
    GPIO_InitTypeDef  GPIO_InitStructure = {0};

    RCC_APB2PeriphClockCmd( RCC_APB2Periph_GPIOC, ENABLE );

    PWR_BackupAccessCmd( ENABLE );/* ޸RTCͺ󱸼Ĵ*/
    RCC_LSEConfig( RCC_LSE_OFF ); /* رⲿʱ,PC14+PC15ͨIO*/
    BKP_TamperPinCmd(DISABLE);    /* رּ⹦,PC13ͨIO*/

    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_13| GPIO_Pin_14 | GPIO_Pin_15;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;
    //GPIO_InitStructure.GPIO_Speed = GPIO_Speed_2MHz;
    GPIO_Init( GPIOC, &GPIO_InitStructure );
    PWR_BackupAccessCmd(DISABLE);/* ֹ޸RTCͺ󱸼Ĵ*/
}

/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    Delay_Init();
    GPIO_Toggle_INIT();
    USART_Printf_Init(115200);
    printf("SystemClk:%d\r\n", SystemCoreClock);



    while(1)
    {
        if(GPIO_ReadInputDataBit(GPIOC,GPIO_Pin_13)==1)
        {
            printf("This is printf example\r\n");
        }
    }
}
